<template> 
   <div class='modal' v-if='showModal' style='z-index: 2;'>
     <slot></slot>
  </div>
</template>

<script>
  export default {
    data () {
      return {
        notification: 'test',
        error_type: false, 
        showModal: false
      }
    },
    props: ['modalId'],
    mounted() {
      this.$root.$on(`toggleModal-${this.modalId}`, () => {
        this.showModal = !this.showModal
      })
    }
  }
</script>


